Bug 43860 - Gnome RPM causes carpal tunnel syndrome by popping every message as a dialog
Gnome RPM causes carpal tunnel syndrome by popping every message as a dialog
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-06-07 13:36 EDT by Fred T. Hamster
Modified: 2007-03-26 23:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-13 16:09:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred T. Hamster 2001-06-07 13:36:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9)

Description of problem:
When there are errors or exceptions when, for example, installing or
uninstalling a component, gnorpm pops up a separate dialog for every
problem.  This is ridiculous.  Instead, it should open a scrolling window
where all bugs can be written and where the user does not have to keep
hitting okay to get the process finished.  This problem has been in every
release of gnorpm so far, but it should be gone by now.

How reproducible:

Steps to Reproduce:
1. pick a component to uninstall that has a collection of documentation
which is installed with it (the docs should have at least a few files to
see how annoying this bug is).
2. remove all the documentation for the component with 'rm'.  don't use
gnorpm at this point, just whack the files.
3. uninstall the component with gnorpm.

Actual Results:  you will be required to hit okay on an error dialog for
every missing file.  this will happen for every single error seen by
gnorpm, including other errors besides missing files.

Expected Results:  the list of errors should be presented as a single
entity rather than as a zillion dialogs that each disappear after okay is
hit.  this allows one to (1) not break his wrist, and (2) see the whole
history of the problems in one view.

Additional info:
Comment 1 Alexander Larsson 2001-06-07 16:05:31 EDT
Seems like a reasonable suggestion.

Thanks for the request.
Comment 2 Fred T. Hamster 2001-07-13 16:09:13 EDT
  sorry about the tone of the original bug report...
  anyway, i wanted to explain that multiple dialog pops could happen in a number
of ways...  some are obvious, while others probably won't happen too often.

1) if there are files remaining when a package upgrade expects them to be gone,
one gets a complaint per file or directory.

2) in packages gotten off the net, sometimes the user is left as the creator's
user id.  then one gets a complaint about the user not existing for every item
in the package.

3) my recent install was troubled by very low disk space.  in addition to
whacking numerous packages with gnorpm, i also did a bad thing by deleting a few
whole hierarchies of man pages and stuff.  this caused hundreds of the dialogs.
 i know that's bad, but i was desperate to finish the install and provide enough
disk space for it to complete, plus this is a very slow system which is painful
to delete multiple packages from using gnorpm.

so these are a few of the ways i've seen many dialogs appear.  hope this makes
it seem slightly more useful to do the bug window suggestion...  i know i would
appreciate it a great deal, but i think others might also.
thanks...  -fred
Comment 3 Alexander Larsson 2001-07-27 11:53:10 EDT
In order to get the developers and maintainers of GnoRPM to look at this bug I
have moved it to the GnoRPM category in the Gnome bug tracker. It can be found
at http://bugzilla.gnome.org/show_bug.cgi?id=58177, where you can add yourself
to the cc-field if you want to recieve information about changes to the bug status.

Note You need to log in before you can comment on or make changes to this bug.